[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'heaptrc' (#rtl)

# maxprintedblocklength

Maximum length of memory block dumps.

## Declaration

Source position: heaptrc.pp line 93

`const maxprintedblocklength: Integer = 128;`

## Description

maxprintedblocklength determines the maximum number of bytes written by a memory block dump, as produced when printleakedblock or printfaultyblock are true. If the size of the memory block is larger than this size, then only the first maxprintedblocklength will be included in the dump.

## See also

printleakedblock |  | Print memory dump of leaked blocks ?
printfaultyblock |  | Print memory dump of faulty blocks ?